/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Selects the external crystal oscillator as source for the high frequency
  clock (HFCLK). More documentation may be found in the corresponding source
  file.
  
  Authors
  =======
    
    Copyright (C) 2018-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
    
    2019-04-12    Initial release.
    2020-06-09    Added {CLOCK_CYCLES_PER_MS}.
    2020-07-03    Added {CLOCK_CYCLES_PER_US}.
*/

#define CLOCK_CYCLES_PER_MS 64000u
#define CLOCK_CYCLES_PER_US    64u

void clock_init(void);

