/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some settings regarding the battery monitoring.
  
  Authors
  =======
    
    Copyright (C) 2018-2019  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2019-07-02    Initial public release.
*/


/* Frequency of battery measurement in 1/10 Hz. */
#define BATTERY_FREQUENCY 10

/* Number of measurements that have to be below the board-specific battery   */
/* threshold (see board.c), before a battery warning is reported.            */
#define BATTERY_ITERATIONS 10

/* Reset the low thresh counter (see above), if the battery measurement is    */
/* {BATTERY_THRESHOLD_DIFF} higher than the board-specific battery threshold. */
#define BATTERY_THRESHOLD_DIFF 10

/* Auto calibration period in multiples of battery measurements. */
#define BATTERY_CALIBRATION_PERIOD   100

