/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some settings regarding the board parameters.
  
  Authors
  =======
    
    Copyright (C) 2020-2021  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2020-06-04    Initial release. Introduced {BOARD_TYPE_MAX}.
    2020-07-30    Added {BoardType} (replaced {BOARD_TYPE_MAX}) and {BoardRev}
                  and {BOARD_ID_ALWAYS_LAST_ITEM}.
    2020-09-01    Added {BOARD_REV_H}.
    2021-02-12    Added {BOARD_REV_I}.
*/

#ifndef RSS2I_INCLUDE_GUARD_CONFIG_BOARD_H
#define RSS2I_INCLUDE_GUARD_CONFIG_BOARD_H

	/*
	  Currently supported board types.
	*/
	typedef enum {
		
		BOARD_TYPE_ONB,
		BOARD_TYPE_EXT,
		BOARD_TYPE_ARR,
		
		BOARD_TYPE_ALWAYS_LAST_ITEM
		
	} BoardType;

	/*
	  Currently supported board revisions.
	*/
	typedef enum {
		
		BOARD_REV_A,
		BOARD_REV_B,
		BOARD_REV_C,
		BOARD_REV_D,
		BOARD_REV_E,
		BOARD_REV_F,
		BOARD_REV_G,
		BOARD_REV_H,
		BOARD_REV_I,
		
		BOARD_REV_ALWAYS_LAST_ITEM
		
	} BoardRev;
	
	#define BOARD_ID_ALWAYS_LAST_ITEM 252
	
#endif

