/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some settings regarding the command handling.
  
  Authors
  =======
    
    Copyright (C) 2018-2019  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2019-07-02    Initial public release.
*/


/*
  Some settings that affect the Over-The-Air (OTA) command forwarding.
*/

/* USB receive/reset timeout in ms. */
#define CONTROL_USB_RECV_TIMEOUT  200

/* Maximum number of tries for an over-the-air request (default value). */
#define CONTROL_OTA_TRIES 10

/* Over-the-air timeout in ms. A value of {5} may be fine. */
/* A value of {10} should be safe.                         */
#define CONTROL_OTA_TIMEOUT 10



