/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some settings regarding the CRC generation.
  
  Authors
  =======
    
    Copyright (C) 2018-2019  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2019-07-02    Initial public release.
*/


/* 
   32bit CRC polynomial used for memory verification and USB communication.
   Changes should be adopted into the USB documentation.
*/

/*
   This polynomial is represented in 'explicit +1' noation ('implicit 32bit'
   notation) and equals the polynomial {0x992c1a4c} in 'implicit +1' notation.
   Credits go to Philip Koopman, Carnegie Mellon University, who published this
   polynomial on his website (http://users.ece.cmu.edu/~koopman/crc/) licensed
   under a Creative Commons Attribution 4.0 International License
   (http://creativecommons.org/licenses/by/4.0/).
*/

#define CRC_POLYNOMIAL   0x32583499
#define CRC_START_VALUE  0xffffffff
#define CRC_FINAL_XOR    0xffffffff

