/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  BLE 5.1 Constant Tone Extension (CTE) related functionality. Additional
  documentation may be found in the corresponding source file.
  
  Authors
  =======
  
    Copyright (C) 2020-2021  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
  
    2020-08-06    Introduced {CTE_MAX_NUMBER_OF_SAMPLES}.
    2021-03-25    Reduced {CTE_MAX_NUMBER_OF_SAMPLES} to {224}.
    2021-04-01    Introduced {CTE_2US_7P1_NUMBER_OF_SAMPLES}.
    2021-04-29    Added {CTE_2US_7PX1} {CTEType}.
*/

/* Number of CTE samples.                        */

/* 16 samples during reference period.                   */
/* 16 samples during the 7 sampling slots.               */
/* 0 samples during the first switching slot.            */
/* (There is no sampling during the first switch slot.)  */
/* (Yes, this is an undocumented behaviour!)             */
/* 16 samples during the last 6 switching slots.         */
#define CTE_2US_7P1_NUMBER_OF_SAMPLES   224
/* 32 samples during reference period.                   */
/* 16 samples during the 7 sampling slots.               */
/* 0 samples during the first switching slot.            */
/* (There is no sampling during the first switch slot.)  */
/* (Yes, this is an undocumented behaviour!)             */
/* 16 samples during the last 6 switching slots.         */
#define CTE_2US_7PX1_NUMBER_OF_SAMPLES  240

#define CTE_MAX_NUMBER_OF_SAMPLES       240

