/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some settings regarding the behaviour of the onboard LEDs.
  
  Authors
  =======
    
    Copyright (C) 2018-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2019-07-02    Initial public release.
    2020-06-10    Add support for revision F (missing PWM peripherals).
*/

/* PWM counter top values, i.e. the maximal brightness, for each LED. */

#define PWM_TOP_RED      1500
#define PWM_TOP_YELLOW   2800
#define PWM_TOP_GREEN    4095


/* Duration of the time slot for a single LED in ms */
#define LED_SLOT_DURATION 800

/* Time in ms between two neighboring (and (maybe) overlapping) slots. */
#define LED_SLOT_OFFSET   150

/* Pause in ms after the three LED slots got triggered. */
#define LED_SLOT_PAUSE   1200

/* Number of values within the rising part of one PWM sequence. */
/* Correlates with the dimming resolution.                      */
#define PWM_CYCLES         30


/* With revision F every LED has its own */
/* exclusive time slot in blinking mode. */

/* Length of this time slot in ms. */
#define PWM_SLOT_DURATION 150

/* Number of slots in a blibking sequence before the first LED slot. */
#define PWM_SLOTS_BEFORE    6

/* Number of slots in a blibking sequence after the last LED slot. */
#define PWM_SLOTS_AFTER     1


