/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some settings regarding the Main Loop Counter (MLC).
  
  Authors
  =======
    
    Copyright (C) 2018-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2019-07-02    Initial public release.
    2019-10-31    Introduced {MLC_THRESH}.
    2020-02-12    Updated {MLC_THRESH} to 50.
    2020-07-06    Updated {MLC_THRESH} to 30.
    2020-07-07    Updated {MLC_THRESH} to 15, i.e. 1.5 loops/frame.
*/

/* Monitoring period in ms. */

#define MLC_PERIOD 1000

/* Warning theshold. Make sure that this setting is consistent with the */
/* corresponding warning/error message in 'src/debug.c'.                */

#define MLC_THRESH  15

