/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some scheduler settings.
  
  Authors
  =======
    
    Copyright (C) 2020-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2020-07-06    Initial release.
    2020-07-06    Introduced {SCHEDULER_DEBUG_PERIOD} and adjusted timings.
*/


/* Maximal interval limit in µs that can be specified.  */
/* Should be lower than 2^31.                           */

#define SCHEDULER_TIME_LIMIT    10000

/* Time since the last scheduled activity of a specific */
/* task in µs after which the processing of that task   */
/* should be prioritized/forced.                        */
/* Note, that the scheduler cannot guarantee these      */
/* timings. Specifying {0} disables prioritization.     */

#define SCHEDULER_TIME_WATCHDOG     0
#define SCHEDULER_TIME_MEASURE    100
#define SCHEDULER_TIME_TIMER      200
#define SCHEDULER_TIME_CONTROL      0
#define SCHEDULER_TIME_RADIO        0
#define SCHEDULER_TIME_SPIM         0
#define SCHEDULER_TIME_DEBUG        0
#define SCHEDULER_TIME_MLC          0

/* Scheduler debug interval ({DEBUG_LEVEL >= 2} only).  */
#define SCHEDULER_DEBUG_PERIOD 1000

