/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some settings regarding the SPI Master controller.
  
  Authors
  =======
    
    Copyright (C) 2019  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2019-10-31    Initial release.
*/


/* Buffer dimensions */

/* SPIM buffer length. The IS25LP064A chip needs up to 0.5 s for erasing a    */
/* 32 kiB block of memory. During this time there may be up to 21 flash pages */
/* that wait for being written onto the memory.                               */

#define SPIM_BUFFER_LENGTH  32
#define SPIM_BUFFER_WIDTH  264

/* Trigger SPIM communication in non-busy state occasionally. */

#define SPIM_TRIGGER_DELAY 40

