/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some settings regarding the timer module.
  
  Authors
  =======
    
    Copyright (C) 2020-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2020-07-03    Introduced {TIMER_TIME_LIMIT}.
*/

/* Maximal timeout value. This should be _lower_ than 2^32 - 1 in order to */
/* be able to distinguish between a timer expiration and an internal timer */
/* overflow.                                                               */

#define TIMER_TIME_LIMIT (1ul << 31)

/* Number of timers available. */

#define TIMER_TIMERS 8

