/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some settings regarding the UART over USB interface.
  
  Authors
  =======
    
    Copyright (C) 2018-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2019-07-02    Initial public release.
    2019-10-28    CHANGED the baudrate parameter namings according to uarte.c
    2020-02-12    Reduced the send buffer length to 16 (Saving some RAM).
    2020-06-08    Reduced the send buffer length to 4 (Saving some RAM).
*/


/*
   Some settings that affect the UART-over-USB interface. Most changes have an
   effect onto the USB documentation.
*/

/* INITIAL USB baudrate */

#define USB_BAUDRATE   UARTE_BAUDRATE_115200

/* The assertions made in the documentation regarding the response time of */
/* the {CMD_STOP_LIVE_LOG} command were calculated with a buffer length of */
/* at most {32}.                                                           */

#define USB_SEND_BUFFER_LENGTH 4
#define USB_SEND_BUFFER_WIDTH 255
#define USB_RECV_BUFFER_LENGTH 64
#define USB_RECV_BUFFER_WIDTH 5

