/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Handle and process incoming commands. Further documentation may be found in
  the corresponding source file.
  
  Authors
  =======
    
    Copyright (C) 2018-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
    
    2019-04-16    Initial public release.
    2020-07-06    Split {control_respond()} into {*_prepare()} and {*_finish()}.
*/

#include <stdint.h>
#include <stddef.h>
#include <stdbool.h>


bool control_set_ota_tries_needs_control_mode(uint8_t tries);
uint8_t control_set_ota_tries(uint8_t tries);
void control_respond_finish(uint8_t * response, size_t size);
void control_respond_prepare(uint8_t * response, size_t size);
void control_respond(uint8_t * response, size_t size);
void control_trigger(void);
void control_init(void);

