/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some useful macros and meta functions.
  
  Authors
  =======
  
    Copyright (C) 2020-2021  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
  
    2020-08-13    Initial release.
    2021-02-26    Added the {hook_max_*()} functions.
*/

/* Declare a function parameter as unsued. */
#define HOOK_UNUSED(x) (void)(x)

/* Find the maximal argument. */
uint32_t hook_max_2(uint32_t arg1, uint32_t arg2);
uint32_t hook_max_3(uint32_t arg1, uint32_t arg2, uint32_t arg3);
uint32_t hook_max_4(uint32_t arg1, uint32_t arg2, uint32_t arg4, uint32_t arg5);
uint32_t hook_max_5(uint32_t arg1,
                    uint32_t arg2,
                    uint32_t arg3,
                    uint32_t arg4,
                    uint32_t arg5);


