/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Live logging of received measurement packets via USB. Further documentation
  may be found in the corresponding source file.
  
  Authors
  =======
  
    Copyright (C) 2018-2021  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
  
    2020-07-31    Outsourced from the measure module.
    2021-03-18    Added {radioMode} argument in {livelog_log()}.
    2021-03-19    Added support for {LIVELOG_ENTRY_LOCAL_RSS_SAMPLE_AMOUNT}.
*/

#include <stdint.h>
#include <stdbool.h>

#include <rss2i/radio.h>


void livelog_enable(void);
void livelog_disable(void);
uint8_t livelog_config(uint8_t length, uint8_t * content);
void livelog_log(uint8_t frame,
                 int32_t cycle,
                 uint8_t sampleAmount,
                 uint8_t localRSSIntegerPart,
                 uint8_t localRSSFractionalPart,
                 RadioMode radioMode,
                 uint8_t * radioPacketPtr,
                 uint8_t frameCount);

