/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  PWM module that controls the onboard LEDs using the PWM peripheral. Further
  documentation may be found in the corresponding source file.
   
  Authors
  =======
  
    Copyright (C) 2018-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
  
    2018-10-16    Initial release.
    2020-06-10    Fitted to revision F (missing PWM peripherals).
*/

#include <rss2i/led.h>
#include <rss2i/rev.h>


void pwm_init(void);

#if REVISION < 5

	void pwm_start_seq_green(void);
	void pwm_start_seq_yellow(void);
	void pwm_start_seq_red(void);

	void pwm_start_const(LED led);
	void pwm_off(LED led);
	
#else
	
	#define PWM_STEPS (PWM_SLOTS_BEFORE + PWM_SLOTS_AFTER + 3)
	
	void pwm_set(LED led, LEDPattern pattern);
	void pwm_start(void);
	
#endif

