/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Random Number Generator (RNG) API. Further documentation may be found in the 
  corresponding source file.
  
  Authors
  =======
    
    Copyright (C) 2018-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
    
    2019-05-31    Initial public release.
    2020-07-07    Added {size} argument of function {random_page()}.
*/

#include <stdint.h>
#include <stddef.h>

uint8_t random_byte(void);
void random_page(uint8_t * page, size_t size);

