/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Software UART (TX only). Frther documentation may be found in the
  corresponding source file.
  
  Authors
  =======
  
    Copyright (C) 2018-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
  
    2019-04-15    Initial public release.
    2020-07-07    Added {suart_send_*()} functions for DMA based buffering.
*/

#include <stdbool.h>
#include <stdint.h>
#include <stddef.h>

void suart_init(uint32_t period, char * data, size_t * size, size_t length, size_t width);
bool suart_busy(void);
char * suart_send_request(void);
bool suart_send_finish(char * addr, size_t size);
bool suart_send(const char * string);
