/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Abstraction layer for the ARM systick counter. Further documentation may be
  found in the corresponding source file.
  
  Authors
  =======
    
    Copyright (C) 2020-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
    
    2020-07-03    Initial release.
*/

#include <stdint.h>

void systick_init(void);
uint32_t systick_get_ms(void);
uint32_t systick_get_us(void);

