/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  UART-over-USB interface. Further documentation may be found in the
  corresponding source file.
  
  Authors
  =======
    
    Copyright (C) 2018-2020  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
    
    2019-04-15    Initial public release.
    2020-07-07    Add {usb_send_*()} DMA based procedures.
*/

#include <stdint.h>
#include <stddef.h>
#include <stdbool.h>

void usb_init(void);
uint8_t * usb_send_request(void);
bool usb_send_finish(uint8_t * addr, size_t size);
bool usb_send(uint8_t * data, size_t size);
uint8_t * usb_recv(void);
size_t usb_vacant_entries(void);

