/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Wrapper for the version module that is used by librss2i. This library gets
  shipped with the RSS2I python package.
  
  Authors
  =======
    
    Copyright (C) 2018-2019  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This program is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
    
  Changelog
  =========
    
    2019-08-29    Initial release.
*/

#include <stdint.h>
#include <stddef.h>
#include <stdbool.h>

#include <rss2i/version.h>


unsigned char rss2i_version_high_byte(void){
	
	return version_high_byte();
}

unsigned char rss2i_version_mid_byte(void){
	
	return version_mid_byte();
}

unsigned char rss2i_version_low_byte(void){
	
	return version_low_byte();
}

