/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

#define RSS2I_MODULE "hook"

/*
  Some meta functions.
  
  Authors
  =======
  
    Copyright (C) 2021-2021  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
  
    2021-02-26    Initial release.
*/

#include <stdint.h>

#include <rss2i/hook.h>


uint32_t hook_max_2(uint32_t arg1, uint32_t arg2){
/*
  Returns the maximum out of {arg*}.
*/
	
	return hook_max_5(arg1, arg2, 0, 0, 0);
}

uint32_t hook_max_3(uint32_t arg1, uint32_t arg2, uint32_t arg3){
/*
  Returns the maximum out of {arg*}.
*/
	
	return hook_max_5(arg1, arg2, arg3, 0, 0);
}
uint32_t hook_max_4(uint32_t arg1, uint32_t arg2, uint32_t arg3, uint32_t arg4){
/*
  Returns the maximum out of {arg*}.
*/
	
	return hook_max_5(arg1, arg2, arg3, arg4, 0);
}

uint32_t hook_max_5(uint32_t arg1,
                    uint32_t arg2,
                    uint32_t arg3,
                    uint32_t arg4,
                    uint32_t arg5){
/*
  Returns the maximum out of {arg*}.
*/
	
	uint32_t max = 0;
	
	if(arg1 > max){ max = arg1; }
	if(arg2 > max){ max = arg2; }
	if(arg3 > max){ max = arg3; }
	if(arg4 > max){ max = arg4; }
	if(arg5 > max){ max = arg5; }
	
	return max;
}

