/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

#define RSS2I_MODULE "version"

/*
  Holds firmware version information.
  
  Authors
  =======
    
    Copyright (C) 2018-2019  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
    
    2019-06-03    Initial release.
*/

#include <stdint.h>

#include <rss2i/config/version.h>

uint8_t version_high_byte(void){
/*
  Firmware version information, e.g. 1.2.3, high byte.
                                     ^
*/
	return VERSION_HIGH_BYTE;
}

uint8_t version_mid_byte(void){
/*
  Firmware version information, e.g. 1.2.3, mid byte.
                                       ^
*/
	
	return VERSION_MID_BYTE;
}

uint8_t version_low_byte(void){
	
/*
  Firmware version information, e.g. 1.2.3, low byte.
                                         ^
*/
	return VERSION_LOW_BYTE;
}

